# /builddir/build/BUILD/alsa-lib-1.1.0/src/seq/seq_midi_event.c File Reference

MIDI byte <-> sequencer event coder. More...

## Functions

int | snd_midi_event_new (size_t bufsize, snd_midi_event_t **rdev)
| Creates a MIDI event parser.
void | snd_midi_event_free (snd_midi_event_t *dev)
| Frees a MIDI event parser.
void | snd_midi_event_no_status (snd_midi_event_t *dev, int on)
| Enables/disables MIDI command merging.
void | snd_midi_event_reset_encode (snd_midi_event_t *dev)
| Resets MIDI encode parser.
void | snd_midi_event_reset_decode (snd_midi_event_t *dev)
| Resets MIDI decode parser.
void | snd_midi_event_init (snd_midi_event_t *dev)
| Resets MIDI encode/decode parsers.
int | snd_midi_event_resize_buffer (snd_midi_event_t *dev, size_t bufsize)
| Resizes the MIDI message encoding buffer.
long | snd_midi_event_encode (snd_midi_event_t *dev, const unsigned char *buf, long count, snd_seq_event_t *ev)
| Encodes bytes to sequencer event.
int | snd_midi_event_encode_byte (snd_midi_event_t *dev, int c, snd_seq_event_t *ev)
| Encodes byte to sequencer event.
long | snd_midi_event_decode (snd_midi_event_t *dev, unsigned char *buf, long count, const snd_seq_event_t *ev)
| Decodes sequencer event to MIDI byte stream.

## Detailed Description

MIDI byte <-> sequencer event coder.

Author:
  Takashi Iwai <tiwai@suse.de>
  Jaroslav Kysela <perex@perex.cz>

Date:
  2000-2001

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines